Plugin nebyl testován na 3 nejnovějších verzích WordPressu. Nemusí už být tedy podporován a u novějších verzí WordPressu může mít problémy s kompatibilitou a může být nestabilní.

Seraphinite Alternative Slugs Manager

Popis

Avoid URL redirection errors by managing old and alternative slugs to improve SEO. Allows to edit, delete and add new slugs to posts. See more how to use it.

Features

  • All post types support
    Particular post types can be chosen in the settings including media.
  • Old slugs
    Viewing and correction.
  • Alternative slugs
    Full managing.

Premium features

  • No promotions
    No promotions of other related plugins.
  • Support
    Personal prioritized support

More details.

Requirements

  • WordPress 4.5 or higher.
  • PHP 5.4 or higher.
  • Browser (Google Chrome, Firefox, IE).

Snímky obrazovky

  • Post slugs editor.
  • Settings.

Instalace

  1. Choose the plugin from the WordPress repository, or choose the plugin’s archive file in ‚Upload Plugin‘ section in WordPress ‚Plugins\Add New‘, or upload and extract the plugin archive to the ‚/wp-content/plugins‘ directory manually.
  2. Activate the plugin through the ‚Plugins‘ screen in WordPress.
  3. It will appear in the admin UI as shown in the screenshots.

Recenze

Přečtěte si 1 recenzi

Autoři

Seraphinite Alternative Slugs Manager je otevřený software. Následující lidé přispěli k vývoji tohoto pluginu.

Spolupracovníci

Plugin „Seraphinite Alternative Slugs Manager“ byl přeložen do 2 jazyků. Děkujeme všem překladatelům za jejich pomoc.

Přeložte “Seraphinite Alternative Slugs Manager” do svého jazyka.

Zajímá vás vývoj?

Prohledejte kód, podívejte se do SVN repozitáře, nebo se přihlaste k odběru protokolu vývoje pomocí RSS.

Přehled změn

1.3

Improvements:

  • If EULA is not accepted then showing minimal UI.
  • Import/export of settings.
  • Input-output security improvements.
  • Minimum WordPress version is 4.5.
  • Options: Multisite support.
  • Premium update.
  • The support button now opens the site page instead of the email client.
  • Upgrading from free version to full.

Fixes:

  • Admin scripts.
  • Localization is not reloaded on ‚change_locale‘ event.
  • Mismatched version is always shown as new.
  • Sometimes Ext, Full versions are updated to Base version.
  • The activation panel is not visible if the server is unavailable.
  • Unable to upgrade Extended and Premium version.
  • Update terminates due to timeout on some hosting.
  • Updating to full version is not always working.

1.2.1

Improvements:

  • Russian localization correction.
  • Upgrading to preview version trough downloading.

1.2

New features:

  • Polylang plugin support.

Improvements:

  • Backup previous settings structure.
  • Making backups when change .htaccess.
  • Not meeting minimum requirements notifications.
  • Reset settings.
  • Security: sanitizing input parameters.

Fixes:

  • ‚Key‘ buttons might have background on some themes.
  • Compatibility issues with Polylang plugin.
  • Frontend plugin queries are not valid for some sites.
  • License block is invisible just after installation if remote configuration is unavailable.
  • Output on some sites might be broken.
  • PHP 8: Fatal error on plugin initialization (call_user_func).
  • PHP Compatibility Checker by WPEngine detects issues with PHP 7.3.
  • Settings: ‚Save changes‘ button is always in English.

1.1.1

Improvements:

  • Behavior changes notification warning.
  • Checkboxes inner select links are now in Combo style.
  • Download Preview and Full bundles by current version.
  • List items operations animation.
  • Storing settings in JSON format to ensure import/export of data.

Fixes:

  • „Key“ link after „Order“ button is invalid.
  • Block editor: If save more one time the new slug is duplicated.
  • Block’s help button is shifted to right.
  • Call to undefined function: wpml_element_type_filter.
  • In rare cases admin UI is blocked.
  • In the admin panel, the warning ‚Undefined index‘ is shown, if DEBUG mode is enabled.
  • Inline comboboxes too short in WP 5.3 or higher.
  • Multiple appearing of Change Version warning.
  • Numeric slugs are not updated.
  • On some systems, script loading fails, resulting in a site loading error.
  • Separator line is invisible under WordPress 5.2 or higher.
  • Settings layout is too wide on some themes.
  • Unable to upgrade Extended and Premium version.

1.1

Improvements:

  • Attachments are supported.

Fixes:

  • PHP 5.4 ‚empty‘ operator compatibility.

1.0.9

Fixes:

  • Save settings result message is blocked by security plugins.

1.0.8

Improvements:

  • Help and documentation.

Fixes:

  • Localization.

1.0.7

Improvements:

  • Localization – Russian.

Fixes:

  • ‚Delete‘ button icon.